com.elastisys.scale.cloudpool.api.types

## Enum MachineState

- java.lang.Object
- - java.lang.Enum<MachineState>
  - - com.elastisys.scale.cloudpool.api.types.MachineState

All Implemented Interfaces:
  Serializable, Comparable<MachineState>

    public enum MachineState
    extends Enum<MachineState>

The range of permissible execution states for a `Machine` in a `MachinePool`.

The machine state, is the execution state of a `Machine`, as reported by the infrastructure.

See Also:
  `Machine`, `MachinePool`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`PENDING` The machine is in the process of being launched.
`REJECTED` The machine request was rejected by the underlying infrastructure.
`REQUESTED` The machine has been requested from the underlying infrastructure and the request is pending fulfillment.
`RUNNING` The machine is launched.
`TERMINATED` The machine has been stopped/shut down.
`TERMINATING` The machine is in the process of being stopped/shut down.

### Method Summary

All Methods Static Methods Concrete Methods
`static MachineState` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MachineState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### REQUESTED

    public static final MachineState REQUESTED

The machine has been requested from the underlying infrastructure and the request is pending fulfillment.

#### REJECTED

    public static final MachineState REJECTED

The machine request was rejected by the underlying infrastructure.

#### PENDING

    public static final MachineState PENDING

The machine is in the process of being launched.

#### RUNNING

    public static final MachineState RUNNING

The machine is launched. However, the boot process may not yet have completed and the machine may not be operational (the `Machine`'s `ServiceState` may provide more detailed state information).

#### TERMINATING

    public static final MachineState TERMINATING

The machine is in the process of being stopped/shut down.

#### TERMINATED

    public static final MachineState TERMINATED

The machine has been stopped/shut down.

### Method Detail

#### values

    public static MachineState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MachineState c : MachineState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MachineState valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null